//
// -----------BOX & CLOUD LAYER ------------
textures/elder_god_stronghold/stars
 {
 	qer_editorimage textures/skies/sky.tga  // path to grid editor image
	skyparms textures/elder_god_stronghold/stars 50 - //farbox cloudheight nearbox
 	q3map_sunExt 0.5 0.6 0.67 350 -102 40 2 16 //red green blue intensity degrees elevation deviance samples
 	q3map_lightmapFilterRadius 0 160 //self other
 	q3map_skyLight 100 6 //amount iterations
 	surfaceparm 	sky //tells the game it's a sky
 	surfaceparm 	noimpact //no projectiles impact here
 	surfaceparm 	nolightmap //no shadows on this surface
 	surfaceparm	nomarks //no burn marks
	cull disable
     {
        map textures/elder_god_stronghold/clouds.tga  //the map of the clouds, put an alpha channel into the texture for best results
        blendFunc blend  //to make it so you can see the skybox behind the cloudlayer
        tcMod scale 64 64  //this makes the texture repeat more often
        tcMod scroll 0.013 0.007  //this makes it move.  
     }
}

//
// ----------- LAVA SHADER -----------

textures/elder_god_stronghold/lava
{

      qer_editorimage textures/elder_god_stronghold/lava.tga
      q3map_globaltexture
      q3map_lightsubdivide 32
      q3map_lightmapFilterRadius 0 8
      q3map_surfacelight 2500
      q3map_lightRGB 0.81 0.28 0.15
      qer_trans 0.5

      surfaceparm trans
      surfaceparm nolightmap
      surfaceparm lava
      cull none
      fogparms ( 0.94 0.50 0.16 ) 512
      {
            map textures/elder_god_stronghold/lava.tga
            blendFunc gl_dst_color gl_one
            rgbGen identity
            tcMod scroll 0.01 -0.01
            tcMod turb 0.1 0.1 0.1 0.1
      }
      {
            map textures/elder_god_stronghold/lava.tga
            blendFunc gl_dst_color gl_one
            rgbGen identity
            tcMod scale 0.5 0.5
            tcMod scroll 0.05 -0.01
            tcMod turb 0.1 0.1 0.5 0.1
      }

}


//
// -------------- WATER SHADER ------------

textures/elder_god_stronghold/1water
	{
		qer_editorimage textures/elder_god_stronghold/1water.tga
		q3map_globaltexture
		qer_trans 0.5

		//surfaceparm trans
		surfaceparm nolightmap
		surfaceparm nonsolid
		surfaceparm water
		cull none
		fogparms ( 0.0 0.1 0.25 ) 512
		deformVertexes wave 64 sin .5 .5 0 .5	
		{ 
			map textures/elder_god_stronghold/1water.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .01
		}

}